Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2946933002: Revert of [api] Fix compilation error for `UNIMPLEMENTED()` method (Closed)

Created:
5 months ago by Clemens Hammacher
Modified:
4 months ago
Reviewers:
Franzi, Anna Henningsen
CC:
v8-reviews_googlegroups.com
Target Ref:
refs/heads/master
Project:
v8
Visibility:
Public.

Description

Revert of [api] Fix compilation error for `UNIMPLEMENTED()` method (patchset #1 id:1 of https://codereview.chromium.org/2929993003/ ) Reason for revert: not needed any more, and contradicts our cleanup efforts: https://chromium-review.googlesource.com/c/507287/ Original issue's description: > [api] Fix compilation error for `UNIMPLEMENTED()` method > > Return `nullptr` from `ArrayBuffer::Allocator::Reserve` because > apparently not doing so results in compile errors for some people. > > BUG= > > Ref: https://github.com/nodejs/node/issues/13392 > Review-Url: https://codereview.chromium.org/2929993003 > Cr-Commit-Position: refs/heads/master@{#45886} > Committed: https://chromium.googlesource.com/v8/v8/+/f14d1b62313329f421f12cae429673c1b13018f9 R=franzih@chromium.org,addaleax@gmail.com Review-Url: https://codereview.chromium.org/2946933002 Cr-Commit-Position: refs/heads/master@{#46739} Committed: https://chromium.googlesource.com/v8/v8/+/395ca787440aeb288d24ce8961b34e5c3aa45b9a

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -4 lines) Patch
M src/api.cc View 1 chunk +1 line, -4 lines 0 comments Download
Trybot results:  v8_win64_rel_ng_triggered   v8_win_rel_ng_triggered   v8_win_nosnap_shared_rel_ng_triggered   v8_linux64_rel_ng_triggered   v8_linux64_asan_rel_ng_triggered   v8_linux_arm64_rel_ng_triggered   v8_linux64_avx2_rel_ng_triggered   v8_linux_rel_ng_triggered   v8_linux64_verify_csa_rel_ng_triggered   v8_linux_dbg_ng_triggered   v8_linux_verify_csa_rel_ng_triggered   v8_linux64_gyp_rel_ng_triggered   v8_linux_nodcheck_rel_ng_triggered   v8_linux_arm_rel_ng_triggered   v8_mac_rel_ng_triggered   v8_linux_arm_rel_ng   v8_linux64_gyp_rel_ng   v8_linux_rel_ng   v8_node_linux64_rel   v8_linux_mipsel_compile_rel   v8_android_arm_compile_rel   v8_mac_rel_ng   v8_win_compile_dbg   v8_linux_dbg_ng   v8_linux_arm64_rel_ng   v8_linux_mips64el_compile_rel   v8_linux_chromium_gn_rel   v8_linux64_rel_ng   v8_linux_nodcheck_rel_ng   v8_linux64_verify_csa_rel_ng   v8_win64_rel_ng   v8_linux64_gcc_compile_dbg   v8_win_rel_ng   v8_win_nosnap_shared_rel_ng   v8_linux64_asan_rel_ng   v8_presubmit   v8_linux_gcc_compile_rel   v8_linux64_avx2_rel_ng   v8_linux_verify_csa_rel_ng   v8_win64_rel_ng_triggered   v8_linux_arm_rel_ng_triggered   v8_linux_dbg_ng_triggered   v8_linux_rel_ng_triggered   v8_linux64_rel_ng_triggered   v8_win_rel_ng_triggered   v8_win_nosnap_shared_rel_ng_triggered   v8_linux64_gyp_rel_ng_triggered   v8_linux_arm64_rel_ng_triggered   v8_linux_nodcheck_rel_ng_triggered   v8_linux64_asan_rel_ng_triggered   v8_linux64_rel_ng   v8_linux_verify_csa_rel_ng_triggered   v8_linux64_avx2_rel_ng_triggered   v8_linux64_verify_csa_rel_ng_triggered   v8_mac_rel_ng_triggered   v8_linux_arm_rel_ng   v8_linux64_gyp_rel_ng   v8_linux_rel_ng   v8_node_linux64_rel   v8_linux_mipsel_compile_rel   v8_android_arm_compile_rel   v8_mac_rel_ng   v8_linux_arm64_rel_ng   v8_win_compile_dbg   v8_linux_dbg_ng   v8_linux_mips64el_compile_rel   v8_linux_chromium_gn_rel   v8_linux64_rel_ng   v8_linux_nodcheck_rel_ng   v8_win64_rel_ng   v8_linux64_verify_csa_rel_ng   v8_linux64_gcc_compile_dbg   v8_win_nosnap_shared_rel_ng   v8_win_rel_ng   v8_presubmit   v8_linux_gcc_compile_rel   v8_linux64_asan_rel_ng   v8_linux64_avx2_rel_ng   v8_linux_verify_csa_rel_ng 

Messages

Total messages: 16 (10 generated)
Clemens Hammacher
Created Revert of [api] Fix compilation error for `UNIMPLEMENTED()` method
5 months ago (2017-06-20 17:41:21 UTC) #1
Anna Henningsen
lgtm lgtm lgtm
5 months ago (2017-06-20 17:45:08 UTC) #4
Clemens Hammacher
On 2017/06/20 at 17:45:08, addaleax wrote: > lgtm > > lgtm > > lgtm Ping ...
4 months ago (2017-07-17 10:00:56 UTC) #9
Franzi
lgtm lgtm sorry for the delay, thought that had landed a long time ago.
4 months ago (2017-07-18 13:57:41 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2946933002/1
4 months ago (2017-07-18 13:57:48 UTC) #12
commit-bot: I haz the power
4 months ago (2017-07-18 14:25:38 UTC) #16
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/v8/v8/+/395ca787440aeb288d24ce8961b34e5c3aa...

Powered by Google App Engine
This is Rietveld efc10ee0f